Name:           ircp-tray
Version:        0.7.6
Release:        2%{?dist}
Summary:        Infrared file transfer tray icon

Group:          Applications/Internet
License:        GPLv2+
URL:            https://launchpad.net/ircp-tray
Source0:        http://launchpad.net/ircp-tray/0.7/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         ircp-tray-0.7.6-sysconfig.patch
Patch1:         ircp-tray-0.7.6-libnotify.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  intltool gettext
BuildRequires:  libnotify-devel
BuildRequires:  gtk2-devel
BuildRequires:  openobex-devel
BuildRequires:  desktop-file-utils
BuildRequires:  autoconf automake

%description
Ircp-Tray is am infrared file transfer program. It stays inside your system
tray, listening for incoming OBEX file transfer request, as well as sending
file out to remote devices via IrDA.


%prep
%setup -q
%patch0 -p1 -b .sysconfig
%patch1 -p1 -b .libnotify


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/ircp-tray.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/ircp-tray
%{_datadir}/applications/ircp-tray.desktop
%{_datadir}/icons/hicolor/*/apps/ircp-tray*.png
%doc AUTHORS CONTRIBUTORS COPYING NEWS README


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep 29 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.6-1
- Update to 0.7.6
- Update libnotify.patch
- Change /etc/default/irda-utils to /etc/sysconfig/irda

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.7.4-4
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 07 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.7.4-2
- Fix build with newer gtk
- Fix build with newer libnotify

* Wed Feb 17 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.7.4-1
- Fix build
- Update to later upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.7.3-2
- Fix dependencies, validate desktop files (thanks to Dan Horak)

* Sun Dec 28 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.7.3-1
- Initial packaging
